You can use this endpoint to send a user interaction in simple AI systems. This approach is suggested for non-agentic systems, where the response of the ai system is generated in a single call to the LLM, without using any external tools or resources.Please refer to the interaction with trace endpoint for a more comprehensive way to track interactions.
object
required
The interaction to send to the nebuly platform.
Show properties
string
required
The conversation id of the interaction. This parameter can be used to enforce interactions to be grouped by a specific conversation.
string
required
The LLM output in the interaction (the text shown to the user as assistant response).The interaction must contain at least one of output or a non-empty last user message in messages. If both are empty, the request is rejected with a 422 error (see Validation errors).
string
required
The start time of the call to the LLM. You can approximate this to the time when the user sends the interaction. The accepted format is the ISO 8601.Example: 2023-12-07T15:00:00.000Z
string
required
The end time of the call to the LLM. This is when the user receives the full answer from the model. The accepted format is the ISO 8601.Example: 2023-12-07T15:00:10.000Z
array
required
A list of messages from the conversation so far, following the same format used by OpenAI Chat Completion endpoints.messages must contain a user message after the last assistant message. Otherwise the request is rejected with a 422 error and the message Value error, No user input found in messages. This case previously returned 400. These rules apply to both the v2 and v3 versions of this endpoint.Each message has two required fields:
role: the role of who is sending the message. Possible values are: system, user, assistant, tool.
content: the content of the message.
The messages in the list should be ordered according to the conversation’s sequence, from the oldest message to the most recent.Example:
"messages": [ { "role": "system", "content": "This is a system prompt" }, { "role": "user", "content": "What's the weather like in Turin?" }, { "role": "assistant", "content": "The weather is currently rainy in Turin." }, { "role": "user", "content": "What's the weather like in Rome?" }]
string
required
An id or username uniquely identifying the end-user. We recommend hashing their username or email address, in order to avoid sending us any identifying information.
string
Customer-defined team segment. Any non-empty string is accepted.Example: Engineering
string
Customer-defined market segment. Any non-empty string is accepted.Example: EU-West
string
Tenure band or ISO hire date converted to a band at ingest.Accepted band values (case-insensitive):
under_1_year
1_to_3_years
3_to_5_years
5_to_10_years
10_plus_years
Alternatively, provide an ISO hire date (YYYY-MM-DD).Example: 1_to_3_years or 2019-04-12
array<string>
The RAG sources used to produce the output. Note that this is an array of strings so only the name of the RAG source should be given.
If you are interested in tracking also the input-output of the RAG source please refer to the interaction with trace endpoint.
string
required
The LLM model you are using. Please note that this is needed if you want to visualize the cost of your requests. Now we support costs only for OpenAI models, cost of other providers coming soon.
dict<string, string>
Tag user interactions by adding key-value pairs using this parameter. Each key represents the tag name, and the corresponding value is the tag value.For example, if you want to tag an interaction with the model version used to reply to user input, provide it as an argument for nebuly_tags, e.g. {"version" => "v1.0.0"}. You have the flexibility to define custom tags, making them available as potential filters on the Nebuly platform.
string[]
This field is used for the AB testing feature. Please refer to its documentation for further details.
object[]
A list of feedback actions provided by the end-user during or after the interaction.Each object in the array can contain:
slug: (string) – the type of action. Accepted values include:
thumbs_up
thumbs_down
copy_input
copy_output
paste
comment
regenerate
edit
rating
text: (string, optional) – textual feedback associated with the action (if applicable).
value: (number, optional) – only used for the rating action to capture a numerical score.
Boolean flag to hide the content of the interaction (input and output) in the Nebuly platform. If set to true, only metadata and traces will be visible.
{"docsConfig":{"theme":"luma","$schema":"https://mintlify.com/docs.json","name":"Documentation","colors":{"primary":"#0a4fff"},"logo":{"light":"https://mintcdn.com/nebulyai/Z4cH-Z3_KpwmkdSB/images/black_logo.svg?fit=max\u0026auto=format\u0026n=Z4cH-Z3_KpwmkdSB\u0026q=85\u0026s=88e0930f5ecc7197a8159a23f17ceb3d","dark":"https://mintcdn.com/nebulyai/Z4cH-Z3_KpwmkdSB/images/white_logo.svg?fit=max\u0026auto=format\u0026n=Z4cH-Z3_KpwmkdSB\u0026q=85\u0026s=3b177bfe210caba95927e81f14efd379","href":"/onboarding"},"favicon":"https://mintcdn.com/nebulyai/h9aKiGKVR2DLe52O/images/fav.png?fit=max\u0026auto=format\u0026n=h9aKiGKVR2DLe52O\u0026q=85\u0026s=1886884b14952466a25e5faa964daefd","api":{"mdx":{"auth":{"method":"bearer"},"server":"https://backend.nebuly.com/event-ingestion"}},"appearance":{"default":"system","strict":false},"background":{"color":{"light":"#FEF8F4","dark":"#1b1b1d"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"nebulyai","hasAudioNarration":false,"actualSubdomain":"nebulyai","customDomains":["docs.nebuly.com"],"gitSource":{"type":"github","owner":"nebuly-ai","repo":"platform-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6b003462d873bc3bb84d0639","clientVersion":"0.0.4270","searchFilterCounts":[{"language":"default","tag":"Documentation","count":42},{"language":"default","tag":"API Reference","count":27},{"language":"default","tag":"Platform","count":26},{"language":"default","tag":"Products","count":12},{"language":"default","tag":"Insights API","count":10},{"language":"default","tag":"UI components","count":9},{"language":"default","tag":"Reports \u0026 Charts","count":7},{"language":"default","tag":"Connectors","count":5},{"language":"default","tag":"Experience","count":5},{"language":"default","tag":"Live data","count":5}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"treatment","enabled":true,"payload":{"type":"string","value":"treatment"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"#sidebar-content li[data-title]:has(>ul a[class*=\"bg-primary\"])>button{background-color:transparent!important;color:rgb(55 65 81)!important;text-shadow:none!important}.dark #sidebar-content li[data-title]:has(>ul a[class*=\"bg-primary\"])>button{color:rgb(156 163 175)!important}"}]}
{"page":{"pagePath":"tracking/api-reference/events/post-events-interaction-v2","slug":"/tracking/api-reference/events/post-events-interaction-v2","pageMetadata":{"title":"Send Interaction","api":"POST https://backend.nebuly.com/event-ingestion/api/v2/events/interactions","description":null,"href":"/tracking/api-reference/events/post-events-interaction-v2"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Expandable,ParamField}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`You can use this endpoint to send a user interaction in simple AI systems. This approach is suggested for non-agentic systems, where the response of the ai system is generated in a single call to the LLM, without using any external tools or resources.`}),`\n`,_jsxs(_components.p,{children:[`Please refer to the `,_jsx(_components.a,{href:`/tracking/api-reference/events/post-events-interaction-with-trace-v2`,children:`interaction with trace`}),` endpoint for a more comprehensive way to track interactions.`]}),`\n`,_jsxs(ParamField,{body:`interaction`,type:`object`,required:true,id:`param-interaction`,children:[_jsx(_components.p,{children:`The interaction to send to the nebuly platform.`}),_jsxs(Expandable,{title:`properties`,children:[_jsx(ParamField,{path:`conversation_id`,type:`string`,initialValue:`conversation_id`,required:true,id:`param-conversation-id`,children:_jsx(_components.p,{children:`The conversation id of the interaction. This parameter can be used to enforce interactions to be grouped by a specific conversation.`})}),_jsxs(ParamField,{path:`output`,type:`string`,initialValue:`output`,required:true,id:`param-output`,children:[_jsx(_components.p,{children:`The LLM output in the interaction (the text shown to the user as assistant response).`}),_jsxs(_components.p,{children:[`The interaction must contain at least one of `,_jsx(_components.code,{children:`output`}),` or a non-empty last user message in `,_jsx(_components.code,{children:`messages`}),`. If both are empty, the request is rejected with a `,_jsx(_components.code,{children:`422`}),` error (see `,_jsx(_components.a,{href:`/tracking/api-reference/events/post-events-interaction-with-trace-v2#validation-errors`,children:`Validation errors`}),`).`]})]}),_jsxs(ParamField,{path:`time_start`,type:`string`,initialValue:`2024-01-01`,required:true,id:`param-time-start`,children:[_jsxs(_components.p,{children:[`The start time of the call to the LLM. You can approximate this to the time when the user sends the interaction. The accepted format is the `,_jsx(_components.code,{children:`ISO 8601`}),`.`]}),_jsxs(_components.p,{children:[`Example: `,_jsx(_components.code,{children:`2023-12-07T15:00:00.000Z`})]})]}),_jsxs(ParamField,{path:`time_end`,type:`string`,initialValue:`2024-01-01`,required:true,id:`param-time-end`,children:[_jsxs(_components.p,{children:[`The end time of the call to the LLM. This is when the user receives the full answer from the model. The accepted format is the `,_jsx(_components.code,{children:`ISO 8601`}),`.`]}),_jsxs(_components.p,{children:[`Example: `,_jsx(_components.code,{children:`2023-12-07T15:00:10.000Z`})]})]}),_jsxs(ParamField,{path:`messages`,type:`array`,required:true,id:`param-messages`,children:[_jsx(_components.p,{children:`A list of messages from the conversation so far, following the same format used by OpenAI Chat Completion endpoints.`}),_jsxs(_components.p,{children:[_jsx(_components.code,{children:`messages`}),` must contain a user message after the last assistant message. Otherwise the request is rejected with a `,_jsx(_components.code,{children:`422`}),` error and the message `,_jsx(_components.code,{children:`Value error, No user input found in messages`}),`. This case previously returned `,_jsx(_components.code,{children:`400`}),`. These rules apply to both the v2 and v3 versions of this endpoint.`]}),_jsx(_components.p,{children:`Each message has two required fields:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`role`}),`: the role of who is sending the message. Possible values are: `,_jsx(_components.strong,{children:`system`}),`, `,_jsx(_components.strong,{children:`user`}),`, `,_jsx(_components.strong,{children:`assistant`}),`, `,_jsx(_components.strong,{children:`tool`}),`.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`content`}),`: the content of the message.`]}),`\n`]}),_jsx(_components.p,{children:`The messages in the list should be ordered according to the conversation’s sequence, from the oldest message to the most recent.`}),_jsx(_components.p,{children:`Example:`}),_jsx(CodeBlock,{numberOfLines:`19`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`19`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`\"messages\": [`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"role\": \"system\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"content\": \"This is a system prompt\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"role\": \"user\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"content\": \"What's the weather like in Turin?\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"role\": \"assistant\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"content\": \"The weather is currently rainy in Turin.\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"role\": \"user\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"content\": \"What's the weather like in Rome?\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsx(ParamField,{path:`end_user`,type:`string`,required:true,id:`param-end-user`,children:_jsx(_components.p,{children:`An id or username uniquely identifying the end-user. We recommend hashing their username or email address, in order to avoid sending us any identifying information.`})}),_jsxs(ParamField,{path:`team`,type:`string`,id:`param-team`,children:[_jsx(_components.p,{children:`Customer-defined team segment. Any non-empty string is accepted.`}),_jsxs(_components.p,{children:[`Example: `,_jsx(_components.code,{children:`Engineering`})]})]}),_jsxs(ParamField,{path:`market`,type:`string`,id:`param-market`,children:[_jsx(_components.p,{children:`Customer-defined market segment. Any non-empty string is accepted.`}),_jsxs(_components.p,{children:[`Example: `,_jsx(_components.code,{children:`EU-West`})]})]}),_jsxs(ParamField,{path:`tenure`,type:`string`,id:`param-tenure`,children:[_jsx(_components.p,{children:`Tenure band or ISO hire date converted to a band at ingest.`}),_jsx(_components.p,{children:`Accepted band values (case-insensitive):`}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`under_1_year`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`1_to_3_years`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`3_to_5_years`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`5_to_10_years`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`10_plus_years`})}),`\n`]}),_jsxs(_components.p,{children:[`Alternatively, provide an ISO hire date (`,_jsx(_components.code,{children:`YYYY-MM-DD`}),`).`]}),_jsxs(_components.p,{children:[`Example: `,_jsx(_components.code,{children:`1_to_3_years`}),` or `,_jsx(_components.code,{children:`2019-04-12`})]})]}),_jsx(ParamField,{path:`rag_sources`,type:`array\u003cstring>`,id:`param-rag-sources`,children:_jsxs(_components.p,{children:[`The RAG sources used to produce the output. Note that this is an array of strings so only the name of the RAG source should be given.\nIf you are interested in tracking also the input-output of the RAG source please refer to the `,_jsx(_components.a,{href:`/tracking/api-reference/events/post-events-interaction-with-trace`,children:`interaction with trace`}),` endpoint.`]})}),_jsx(ParamField,{path:`model`,type:`string`,required:true,id:`param-model`,children:_jsx(_components.p,{children:`The LLM model you are using. Please note that this is needed if you want to visualize the cost of your requests. Now we support costs only for OpenAI models, cost of other providers coming soon.`})}),_jsxs(ParamField,{path:`tags`,type:`dict\u003cstring, string>`,id:`param-tags`,children:[_jsx(_components.p,{children:`Tag user interactions by adding key-value pairs using this parameter. Each key represents the tag name, and the corresponding value is the tag value.`}),_jsxs(_components.p,{children:[`For example, if you want to tag an interaction with the model version used to reply to user input, provide it as an argument for nebuly_tags, e.g. `,_jsx(_components.code,{children:`{\"version\" => \"v1.0.0\"}`}),`. You have the flexibility to define custom tags, making them available as potential filters on the Nebuly platform.`]})]}),_jsx(ParamField,{path:`feature_flag`,type:`string[]`,id:`param-feature-flag`,children:_jsx(_components.p,{children:`This field is used for the AB testing feature. Please refer to its documentation for further details.`})}),_jsxs(ParamField,{path:`feedback_actions`,type:`object[]`,id:`param-feedback-actions`,children:[_jsx(_components.p,{children:`A list of feedback actions provided by the end-user during or after the interaction.`}),_jsx(_components.p,{children:`Each object in the array can contain:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`slug`}),`: (string) – the type of action. Accepted values include:`,`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`thumbs_up`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`thumbs_down`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`copy_input`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`copy_output`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`paste`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`comment`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`regenerate`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`edit`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`rating`})}),`\n`]}),`\n`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`text`}),`: (string, optional) – textual feedback associated with the action (if applicable).`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`value`}),`: (number, optional) – only used for the `,_jsx(_components.code,{children:`rating`}),` action to capture a numerical score.`]}),`\n`]}),_jsx(_components.p,{children:_jsx(_components.strong,{children:`Example:`})}),_jsx(CodeBlock,{filename:``,numberOfLines:`18`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`18`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"feedback_actions\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"slug\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"thumbs_up\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"text\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Very helpful response!\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"slug\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"comment\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"text\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Can you explain more about this?\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"slug\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"rating\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"value\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`4`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"text\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Pretty good!\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"slug\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"regenerate\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`]`})}),`\n`]})})})]})]})]}),`\n`,_jsx(ParamField,{body:`anonymize`,type:`boolean`,default:`true`,id:`param-anonymize`,children:_jsx(_components.p,{children:`Boolean flag to anonymize your data`})}),`\n`,_jsx(ParamField,{path:`hide_content`,type:`boolean`,default:`false`,id:`param-hide-content`,children:_jsx(_components.p,{children:`Boolean flag to hide the content of the interaction (input and output) in the Nebuly platform. If set to true, only metadata and traces will be visible.`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Send Interaction","api":"POST https://backend.nebuly.com/event-ingestion/api/v2/events/interactions","description":null,"href":"/tracking/api-reference/events/post-events-interaction-v2"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{},"endpoint":{"title":"Send Interaction","path":"/event-ingestion/api/v2/events/interactions","servers":[{"url":"https://backend.nebuly.com"}],"method":"post","request":{"security":[{"title":"Bearer Auth","parameters":{"header":{"Authorization":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token."}},"query":{},"cookie":{}}}],"parameters":{"query":{},"header":{},"cookie":{},"path":{"hide_content":{"schema":[{"type":"boolean","description":"Boolean flag to hide the content of the interaction (input and output) in the Nebuly platform. If set to true, only metadata and traces will be visible."}]}}},"body":{"application/json":{"schemaArray":[{"type":"object","properties":{"interaction":[{"type":"object","properties":{"conversation_id":[{"type":"string","description":"The conversation id of the interaction. This parameter can be used to enforce interactions to be grouped by a specific conversation.","required":true}],"output":[{"type":"string","description":"The LLM output in the interaction (the text shown to the user as assistant response). The interaction must contain at least one of `output` or a non-empty last user message in `messages` . If both are empty, the request is rejected with a `422` error (see Validation errors ).","required":true}],"time_start":[{"type":"string","description":"The start time of the call to the LLM. You can approximate this to the time when the user sends the interaction. The accepted format is the `ISO 8601` . Example: `2023-12-07T15:00:00.000Z`","required":true}],"time_end":[{"type":"string","description":"The end time of the call to the LLM. This is when the user receives the full answer from the model. The accepted format is the `ISO 8601` . Example: `2023-12-07T15:00:10.000Z`","required":true}],"messages":[{"type":"array","items":[{"type":"object","properties":{}}],"description":"A list of messages from the conversation so far, following the same format used by OpenAI Chat Completion endpoints. `messages` must contain a user message after the last assistant message. Otherwise the request is rejected with a `422` error and the message `Value error, No user input found in messages` . This case previously returned `400` . These rules apply to both the v2 and v3 versions of this endpoint. Each message has two required fields: `role` : the role of who is sending the message. Possible values are: system , user , assistant , tool . `content` : the content of the message. The messages in the list should be ordered according to the conversation’s sequence, from the oldest message to the most recent. Example:","required":true}],"end_user":[{"type":"string","description":"An id or username uniquely identifying the end-user. We recommend hashing their username or email address, in order to avoid sending us any identifying information.","required":true}],"team":[{"type":"string","description":"Customer-defined team segment. Any non-empty string is accepted. Example: `Engineering`"}],"market":[{"type":"string","description":"Customer-defined market segment. Any non-empty string is accepted. Example: `EU-West`"}],"tenure":[{"type":"string","description":"Tenure band or ISO hire date converted to a band at ingest. Accepted band values (case-insensitive): `under_1_year` `1_to_3_years` `3_to_5_years` `5_to_10_years` `10_plus_years` Alternatively, provide an ISO hire date ( `YYYY-MM-DD` ). Example: `1_to_3_years` or `2019-04-12`"}],"rag_sources":[{"type":"array","items":[{"type":"string"}],"description":"The RAG sources used to produce the output. Note that this is an array of strings so only the name of the RAG source should be given. If you are interested in tracking also the input-output of the RAG source please refer to the interaction with trace endpoint."}],"model":[{"type":"string","description":"The LLM model you are using. Please note that this is needed if you want to visualize the cost of your requests. Now we support costs only for OpenAI models, cost of other providers coming soon.","required":true}],"tags":[{"type":"object","properties":{},"description":"Tag user interactions by adding key-value pairs using this parameter. Each key represents the tag name, and the corresponding value is the tag value. For example, if you want to tag an interaction with the model version used to reply to user input, provide it as an argument for nebuly_tags, e.g. `{\"version\" => \"v1.0.0\"}` . You have the flexibility to define custom tags, making them available as potential filters on the Nebuly platform."}],"feature_flag":[{"type":"array","items":[{"type":"string"}],"description":"This field is used for the AB testing feature. Please refer to its documentation for further details."}],"feedback_actions":[{"type":"array","items":[{"type":"object","properties":{}}],"description":"A list of feedback actions provided by the end-user during or after the interaction. Each object in the array can contain: `slug` : (string) – the type of action. Accepted values include: `thumbs_up` `thumbs_down` `copy_input` `copy_output` `paste` `comment` `regenerate` `edit` `rating` `text` : (string, optional) – textual feedback associated with the action (if applicable). `value` : (number, optional) – only used for the `rating` action to capture a numerical score. Example:"}]},"description":"The interaction to send to the nebuly platform.","required":true}],"anonymize":[{"type":"boolean","description":"Boolean flag to anonymize your data"}]}}],"examples":{"example":{"value":{"interaction":{"conversation_id":"\u003cstring>","output":"\u003cstring>","time_start":"\u003cstring>","time_end":"\u003cstring>","messages":[{}],"end_user":"\u003cstring>","team":"\u003cstring>","market":"\u003cstring>","tenure":"\u003cstring>","rag_sources":["\u003cstring>"],"model":"\u003cstring>","tags":{},"feature_flag":["\u003cstring>"],"feedback_actions":[{}]},"anonymize":true}}}}}},"response":{},"deprecated":false}},"jsLinks":[],"subdomain":"nebulyai","siteName":"Documentation","title":"Send Interaction - Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-16T09:35:11.900Z","originalFileLocation":"tracking/api-reference/events/post-events-interaction-v2.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/nebulyai/Sm5JTUNJT-7CUVsm/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/nebulyai/Sm5JTUNJT-7CUVsm/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/nebulyai/Sm5JTUNJT-7CUVsm/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/nebulyai/Sm5JTUNJT-7CUVsm/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/nebulyai/Sm5JTUNJT-7CUVsm/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/nebulyai/Sm5JTUNJT-7CUVsm/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/nebulyai/Sm5JTUNJT-7CUVsm/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/nebulyai/Sm5JTUNJT-7CUVsm/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/nebulyai/Sm5JTUNJT-7CUVsm/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Send Interaction - Documentation\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.nebuly.com/tracking/api-reference/events/post-events-interaction-v2\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://nebulyai.mintlify.site/_mintlify/api/og/v2?division=Documentation\u0026amp;title=Send+Interaction\u0026amp;theme=39fd014a340346dc9babac9f\u0026amp;signature=635369dfdfddc0a2398da7dbecc144c68c038aa6858ffbc5732f425c78d83ac4\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Send Interaction - Documentation\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://nebulyai.mintlify.site/_mintlify/api/og/v2?division=Documentation\u0026amp;title=Send+Interaction\u0026amp;theme=39fd014a340346dc9babac9f\u0026amp;signature=635369dfdfddc0a2398da7dbecc144c68c038aa6858ffbc5732f425c78d83ac4\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/nebulyai/Sm5JTUNJT-7CUVsm/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0a4fff\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.nebuly.com/tracking/api-reference/events/post-events-interaction-v2\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/tracking/api-reference/events/post-events-interaction-v2.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Documentation\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Documentation\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/tracking/api-reference/events/post-events-interaction-v2.md","siteName":"Documentation","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"group":"Get Started","pages":[{"title":"Introduction","href":"/onboarding"},{"title":"What is Nebuly?","href":"/documentation/what-is-nebuly"},{"title":"Deployment modes","href":"/documentation/saas-vs-self-hosted"},{"title":"Setup","href":"/documentation/data"}]},{"group":"Products","pages":[{"group":"Experience","icon":"comments","root":{"title":"Overview","href":"/documentation/products/experience/overview"},"pages":[{"title":"Tasks","href":"/tasks"},{"title":"Failure Intelligence","href":"/failure-inte"},{"title":"Topics","href":"/documentation/analysis/topics"},{"title":"Business risk","href":"/documentation/analysis/business-risk"},{"title":"Failure intelligence","href":"/documentation/analysis/failure-intelligence"}]},{"group":"ROI","icon":"chart-line","root":{"title":"Overview","href":"/documentation/products/roi/overview"},"pages":[{"title":"ROI","href":"/documentation/analysis/roi"},{"title":"AI Spend","href":"/ai-spend"},{"title":"Model Savings","href":"/model-savings"},{"title":"ROI settings","href":"/documentation/setup/roi-settings"}]},{"group":"AI Proficiency","icon":"graduation-cap","root":{"title":"Overview","href":"/documentation/products/ai-proficiency/overview"},"pages":[{"title":"AI Proficiency","href":"/documentation/analysis/ai-fluency-index"},{"title":"Upskilling","href":"/upskilling-2"}]},{"title":"Anonymization","icon":{"name":"shield-alt","style":"regular","library":"fontawesome"},"href":"/anonymization"}]},{"group":"Platform","pages":[{"group":"Live data","root":{"title":"Live data","href":"/documentation/platform/live-data"},"pages":[{"title":"Interactions","href":"/documentation/live-data/interactions"},{"title":"Conversations","href":"/documentation/live-data/conversations"},{"title":"Users","href":"/documentation/live-data/users"},{"title":"User groups","href":"/documentation/live-data/user-groups"},{"title":"Key metrics","href":"/documentation/key-metrics"}]},{"group":"Reports \u0026 Charts","root":{"title":"Overview","href":"/documentation/platform/reports"},"pages":[{"title":"Create reports","href":"/documentation/reports/create-reports"},{"title":"Configure reports","href":"/documentation/reports/configure-reports"},{"title":"Share reports","href":"/documentation/reports/share-reports"},{"title":"Reports best practices","href":"/documentation/reports/reports-best-practices"},{"group":"Charts","root":{"title":"What are charts?","href":"/what-are-charts"},"pages":[{"title":"Analytics and table charts","href":"/configure-a-chart"},{"title":"Retention charts","href":"/configure-a-chart-2"},{"title":"Custom metrics","href":"/custom-metrics"}]}]},{"group":"Taxonomy","root":{"title":"Overview","href":"/documentation/platform/taxonomy"},"pages":[{"title":"Manage taxonomy","href":"/documentation/setup/taxonomy"},{"title":"Tags","href":"/documentation/tags"}]},{"group":"MCP Server","root":{"title":"MCP server","href":"/documentation/nebuly-ai/mcp-server"},"pages":[{"title":"Slack (Nebuly AI agent)","sidebarTitle":"Slack","href":"/documentation/nebuly-ai/slack"},{"title":"Connect Nebuly MCP to Microsoft Copilot","sidebarTitle":"Microsoft Copilot integration","href":"/documentation/nebuly-ai/microsoft-copilot"}]},{"group":"Settings","root":{"title":"Settings","href":"/documentation/platform/org-projects"},"pages":[{"title":"Organizations and Projects ","href":"/organizations-and-projects"},{"title":"Members","href":"/documentation/setup/members"},{"title":"Alerts","href":"/documentation/setup/alerting"},{"title":"Events","href":"/documentation/setup/events"},{"title":"Others","href":"/documentation/setup/others"}]},{"title":"Search","href":"/documentation/platform/search"},{"title":"Global and local filters","href":"/documentation/platform/filters"},{"group":"Share","root":{"title":"Sharing and programmatic access","href":"/documentation/platform/sharing-and-programmatic-access"},"pages":[{"title":"Share live data","href":"/documentation/live-data/share-live-data"}]},{"title":"Processing status","href":"/documentation/platform/processing-status"},{"group":"Admin","root":{"title":"Permissions and user management","sidebarTitle":"Permissions and user management","href":"/documentation/admin/permissions-and-user-management"},"pages":[{"title":"Authentication","sidebarTitle":"Authentication","href":"/documentation/admin/authentication"}]}]}]},{"tab":"API Reference","pages":[{"group":"Getting started","pages":[{"title":"Introduction","href":"/introduction"}]},{"group":"Instrument (Core)","pages":[{"title":"Interaction API","api":"POST https://backend.nebuly.com/event-ingestion/api/v3/events/trace_interaction","href":"/tracking/api-reference/events/post-events-interaction-with-trace-v2"}]},{"group":"Instrument (Optional)","pages":[{"title":"Delete Interactions","api":"POST https://backend.nebuly.com/api/external/projects/delete-interactions","href":"/tracking/api-reference/delete-interactions"},{"title":"Send User Feedback","api":"POST https://backend.nebuly.com/event-ingestion/api/v3/events/feedback","href":"/tracking/api-reference/events/send-user-feedbacks"},{"title":"Send Tags","api":"POST https://backend.nebuly.com/event-ingestion/api/v2/events/tags","href":"/tracking/api-reference/events/send-tags"}]},{"group":"Eligible Users","pages":[{"title":"Overview","href":"/eligible-users/overview"},{"title":"Get Eligible Users","api":"GET https://backend.nebuly.com/api/external/eligible-users","href":"/eligible-users/api-reference/get-eligible-users"},{"title":"Send Eligible Users","api":"POST https://backend.nebuly.com/api/external/eligible-users","href":"/eligible-users/api-reference/send-eligible-users"},{"title":"Update Eligible Users","api":"PUT https://backend.nebuly.com/api/external/eligible-users","href":"/eligible-users/api-reference/update-eligible-users"},{"title":"Delete Eligible Users","api":"DELETE https://backend.nebuly.com/api/external/eligible-users","href":"/eligible-users/api-reference/delete-eligible-users"}]},{"group":"Insights API","pages":[{"title":null,"href":"/embedded-pages/quickstart"},{"title":"Get Interaction Aggregates","api":"POST https://backend.nebuly.com/api/external/get-interaction-aggregates","href":"/embedded-pages/interactions/get-interaction-aggregates"},{"title":"Get Interaction Aggregates V2","api":"POST https://backend.nebuly.com/api/external/get-interaction-aggregates-v2","href":"/embedded-pages/interactions/get-interaction-aggregates-v2"},{"title":"Get Interaction Multi Aggregates","api":"POST https://backend.nebuly.com/api/external/get-interaction-multi-aggregates","href":"/embedded-pages/interactions/get-interaction-multi-aggregates"},{"title":"Get Interactions","api":"POST https://backend.nebuly.com/api/external/get-interactions","href":"/embedded-pages/interactions/get-interactions"},{"title":"Get Interactions Time-Series","api":"POST https://backend.nebuly.com/api/external/get-interaction-time-series","href":"/embedded-pages/interactions/get-interaction-time-series"},{"title":"Get interaction details V2","api":"GET https://backend.nebuly.com/api/external/export/interactions/detail-v2/{interaction_id}","href":"/embedded-pages/get-interaction-details-v2"},{"title":"Get conversation details","api":"POST https://backend.nebuly.com/api/external/get-conversation-detail","href":"/embedded-pages/get-conversation-details"},{"title":"Create Project","api":"POST https://backend.nebuly.com/api/external/projects/create","href":"/embedded-pages/projects/create-project"},{"title":"Delete Project API Key","api":"POST https://backend.nebuly.com/api/external/projects/delete-api-key","href":"/embedded-pages/projects/delete-api-key"}]},{"group":"Reports API","pages":[{"title":"List Reports","api":"GET https://backend.nebuly.com/api/external/reports/list-reports","href":"/embedded-pages/reports/list-reports"},{"title":"Get Report Data","api":"GET https://backend.nebuly.com/api/external/reports/report-data/{report_id}","href":"/embedded-pages/reports/get-report-data"},{"title":"Get Chart","api":"GET https://backend.nebuly.com/api/external/charts/{chart_id}","href":"/embedded-pages/charts/get-chart"}]},{"group":"Utilities","pages":[{"title":"Get Interaction Deep Link","api":"GET https://backend.nebuly.com/api/external/deeplinks/interaction/{interaction_id}","href":"/embedded-pages/deeplinks/get-interaction-deeplink"},{"title":"Get Conversation Deep Link","api":"GET https://backend.nebuly.com/api/external/deeplinks/conversation/{conversation_id}","href":"/embedded-pages/deeplinks/get-conversation-deeplink"}]}]},{"tab":"Connectors","pages":[{"title":"Langfuse","href":"/connectors/langfuse/langfuse"},{"title":"Claude Compliance","href":"/connectors/claude-compliance/claude-compliance"},{"title":"OpenAI Compliance","href":"/connectors/openai-compliance/openai-compliance"},{"title":"Microsoft 365 Copilot","href":"/connectors/microsoft-copilot/microsoft-copilot"},{"title":"Gemini Enterprise","href":"/connectors/gemini-enterprise/gemini-enterprise"}]},{"tab":"Self-hosting","pages":[{"title":"Self-Hosting Nebuly","sidebarTitle":"Overview","href":"/self-hosting/overview"},{"title":"Self-hosting Nebuly on AWS","sidebarTitle":"AWS","href":"/self-hosting/aws"},{"title":"Self-hosting Nebuly on Azure","sidebarTitle":"Azure","href":"/self-hosting/azure"},{"title":"Self-hosting Nebuly on GCP","sidebarTitle":"GCP","href":"/self-hosting/gcp"},{"title":"Permissions and Authentication","sidebarTitle":"Permissions and Authentication","href":"/self-hosting/authentication"}]},{"tab":"Changelog","pages":[{"title":"Product changelog","sidebarTitle":"Product updates","href":"/changelog/product-changelog"},{"title":"API changelog","sidebarTitle":"API updates","href":"/changelog/api-changelog"},{"title":"Self-hosted changelog","sidebarTitle":"Self-hosted updates","href":"/changelog/self-hosted-changelog"}]},{"tab":"UI components","pages":[{"group":"Getting Started","pages":[{"title":"Overview","href":"/nebuly-reports/overview"},{"title":"Prerequisites","href":"/nebuly-reports/prerequisites"}]},{"group":"API Reference","pages":[{"title":"Client","href":"/nebuly-reports/client/reference"},{"title":"Components","href":"/nebuly-reports/components/reference"}]},{"group":"TypeScript","pages":[{"title":"Usage with TypeScript","href":"/nebuly-reports/components/usage-with-typescript"}]},{"group":"Examples","pages":[{"title":"React","href":"/nebuly-reports/examples/react"},{"title":"Vue.js","href":"/nebuly-reports/examples/vue"},{"title":"Angular","href":"/nebuly-reports/examples/angular"},{"title":"Svelte","href":"/nebuly-reports/examples/svelte"}]}]}]},"basePath":"","title":"Send Interaction - Documentation","deploymentId":"dpl_DyXGnKeCjZyA3sUdfMJ7FjkdBefg","buildId":"dpl_DyXGnKeCjZyA3sUdfMJ7FjkdBefg","dynamics":["c2aa737661","b0f84f53ff","2b790eda92"],"chunks":["OpenApiReferenceProvider-CiUHMMOm.js","snippetPresets-BgfXU7Bw.js","utils-DWvOwgy_.js","style-to-object-BY3JEAdk.js","utils-BN7RXSMJ.js","v4-DIgz8zy6.js","addUniqueKeysToSchema-CFw8bq89.js","conditional-requirements-CFM0id0Q.js","cloneDeep-CAwdfOU2.js","_Uint8Array-BJr8e-ZL.js","isObject-FP1Yky1u.js","Page-CVJ-f_k1.js","CodeSnippet-D_HwgQO_.js","DynamicMarkdown-CQM9Bhbv.js","SectionHeading-DpbrP8nQ.js","icon-BPCgijHy.js","ApiExamples-XX0UgMZK.js","usePlaygroundInputsStore-DXDFSa1V.js","shallow-CdX5aREi.js","isEqual-CoOaxexF.js","CodeSnippets-Cg2wpzWm.js","getApiPlaygroundDisplay-CmCoerhe.js","MethodPill-GQ8DuY0c.js","getPastedJson-Cb5mT31m.js","Check2Icon-a7bUI6e8.js","axios-CsQoIw0U.js"]}